- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QIBaseResult Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qsql_ibase.h.

`#include <qsql_ibase.h>`

List of all members.

## Public Member Functions
| QIBaseResult (const QIBaseDriver *db)
virtual | ~QIBaseResult ()
bool | prepare (const QString &query)
bool | exec ()
QVariant | handle () const
## Protected Member Functions
bool | gotoNext (QSqlCachedResult::ValueCache &row, int rowIdx)
bool | reset (const QString &query)
int | size ()
int | numRowsAffected ()
QSqlRecord | record () const
## Friends
class | QIBaseResultPrivate

## Constructor & Destructor Documentation

QIBaseResult | ( | const QIBaseDriver * | db | ) | `[explicit]`

virtual ~QIBaseResult | ( |  | ) | `[virtual]`

## Member Function Documentation

bool prepare | ( | const QString & | query | ) |

Search for all occurrences

bool exec | ( |  | ) |

Search for all occurrences

QVariant handle | ( |  | ) | const

Search for all occurrences

bool gotoNext | ( | QSqlCachedResult::ValueCache & | row,
|  | int | rowIdx
| ) |  | `[protected]`

Search for all occurrences

bool reset | ( | const QString & | query | ) | `[protected]`

Search for all occurrences

int size | ( |  | ) | `[protected]`

Search for all occurrences

int numRowsAffected | ( |  | ) | `[protected]`

Search for all occurrences

QSqlRecord record | ( |  | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QIBaseResultPrivate `[friend]`

Search for all occurrences

Definition at line 59 of file qsql_ibase.h.

The documentation for this class was generated from the following file:

- QtSql/qsql_ibase.h

QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult
QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult QIBaseResult